## Remove Zone Hold `client.zones.holds.delete(HoldDeleteParamsparams, RequestOptionsoptions?): ZoneHold` **delete** `/zones/{zone_id}/hold` Stop enforcement of a zone hold on the zone, permanently or temporarily, allowing the creation and activation of zones with this zone's hostname. ### Parameters - `params: HoldDeleteParams` - `zone_id: string` Path param: Identifier. - `hold_after?: string` Query param: If `hold_after` is provided, the hold will be temporarily disabled, then automatically re-enabled by the system at the time specified in this RFC3339-formatted timestamp. Otherwise, the hold will be disabled indefinitely. ### Returns - `ZoneHold` - `hold?: boolean` - `hold_after?: string` - `include_subdomains?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const zoneHold = await client.zones.holds.delete({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(zoneHold.hold); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "hold": true, "hold_after": "2023-01-31T15:56:36+00:00", "include_subdomains": "include_subdomains" }, "success": true } ```